#include <fstream>
#include <cmath>
#include <iomanip>

using namespace std;


int main(){
 int n;
 ifstream fi;
 fi.open("tinh.inp");
 fi >> n;
 long long f1=0,f2=1,f3;
 for (int i=1;i<=n;i++){
    f3=f1+f2;
    f1=f2;
    f2=f3;
 }
 long long suma=0;
for (int i=1;i<=2*n+1;i+=2){suma=suma+i;}
long long sumb=1;
for (int k=2;k<=n;k++){sumb=sumb*k;}
float sumc=0;
for (float d=2;d<=n;d++){sumc=sumc+1/(d*(d+1));}
fi.close();
ofstream fo;
fo.open("tinh.out");
 fo<<suma<<endl<<sumb<<endl;
 fo<<fixed<<setprecision(2)<<sumc<<endl;
 fo<<setprecision(0)<<f1;
 return 0;
}

